slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDPRIMMESetMethod

Sets the method for the PRIMME SVD solver.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDPRIMMESetMethod(SVD svd,SVDPRIMMEMethod method)

Logically Collective

### Input Parameters

| svd | - the singular value solver context
| method | - method that will be used by PRIMME

### Options Database Key

| -svd_primme_method | - Sets the method for the PRIMME SVD solver

### Note

If not set, the method defaults to SVD_PRIMME_HYBRID.

### See Also

SVDPRIMMEGetMethod(), SVDPRIMMEMethod

### Level

advanced

### Location

src/svd/impls/external/primme/svdprimme.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages